/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*
 * enumerator.h -
 *     Enumerate pointers. Used to enumerate entties in a subdivision.
\*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/

#ifndef  __ENUMERATOR__H
#define  __ENUMERATOR__H

class  EnumerInner;
class  Enumerator {
private:
    EnumerInner  * pEnum;

public:
    Enumerator();
    ~Enumerator();

    int  getID( void  * ptr );
    int  getIDPair( void  * ptr, void  * ptr1 );
    void  insert( void  * ptr, int  id );
    bool  isIn( void  * ptr ) const;
    int  size()  const;
};

#else   /* __ENUMERATOR__H */
#error  Header file enumerator.h included twice
#endif  /* __ENUMERATOR__H */

/* enumerator.h - End of File ------------------------------------------*/



