/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*
 * misc.h -
 *     
\*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/

#ifndef  __MISC__H
#define  __MISC__H

class  ArrPoint3d;
class  BBox3d;

void   pnt_array_bound( ArrPoint3d  & arr, BBox3d  & bb );
void   fill_array_cube( ArrPoint3d  & arr, int  num );
void   fill_array_sphere( ArrPoint3d  & arr, int  num );
void   fill_array_box( ArrPoint3d  & arr, int  num,
                       double  a, double  b, double  c );
void   fill_array_mutated_ellipsoid( ArrPoint3d  & arr, int  num,
                                   double  a, double  b, double  c );
void   fill_array_strange_cube( ArrPoint3d  & arr, int  num );
void   fill_array_strange_cube_diag( ArrPoint3d  & arr, int  num );
void   fill_array_sphere_caps( ArrPoint3d  & arr, int  num, double  eps );
void   fill_array_two_arcs( ArrPoint3d  & arr, int  num );

void  Jacobi_EigenSymmetric3( double  mat[3][3],
                              double  eval[3],
                              double  evec[3][3] );
void   read_3ds( const char  * file_name, ArrPoint3d  & arr );
void  pnt_array_normalize( ArrPoint3d  & arr );
void  mem_report();

#else   /* __MISC__H */
#error  Header file misc.h included twice
#endif  /* __MISC__H */

/* misc.h - End of File ------------------------------------------*/
