/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*
 * obb.h -
 *     
\*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/

#ifndef  __OBB__H
#define  __OBB__H

void MakeCovarOBB( const ArrPoint3d  & arr,
                   Point3d  & base_pnt,
                   Point3d  & side_0,
                   Point3d  & side_1,
                   Point3d  & side_2 );
void  EigenSymetric3vec( double  mCoVars[3][3],
                         Point3d  & p_a,
                         Point3d  & p_b,
                         Point3d  & p_c );
void  computeParallelogram(  const ArrPoint3d  & arr,
                             const Point3d  & vec1,
                             const Point3d  & vec2,
                             const Point3d  & vec3,
                             Point3d  & base_pnt,
                             Point3d  & side_0,
                             Point3d  & side_1,
                             Point3d  & side_2 );
void  extractOrthonormalBase(Point3d  & p_a,
                             Point3d  & p_b,
                             Point3d  & p_c );


#else   /* __OBB__H */
#error  Header file obb.h included twice
#endif  /* __OBB__H */

/* obb.h - End of File ------------------------------------------*/

