private:
    Enumerator   enum_faces, enum_edges, enum_vertcies;
    SimplField  * simp;
    int  num_edges, num_vertices, num_faces;

public:
    void  enumerate_faces();
    void  enumerate_face( Triangle  * tri );

    void  enumerate_edges();
    void  enumerate_edge( Edge  * edge );

    void  enumerate_vertices();
    void  enumerate_vertex( point2d  * tri );
};



// enumerating faces
static void   enum_faces(Triangle *tri, void * extra) 
{
    TerrainGraph  * tg = (TerrainGraph *)extra;

    tg->enumerate_face( tri );
}

void  TerrainGraph::enumerate_face( Triangle  * tri )
{
    enum_faces.getID( tri );
}

void  TerrainGraph::enuemrate_faces()
{
    simp->OverFaces( enum_faces, (void *)this );    
}


// enumerating edges

static void   enum_edges(Edge *edge, void * extra) 
{
    TerrainGraph  * tg = (TerrainGraph *)extra;

    tg->enumerate_edge( edge );
}

void  TerrainGraph::enumerate_edge( Edge  * edge )
{
    enum_edges.getID( (void *)edge->Qedge() );
}

void  TerrainGraph::enuemrate_edges()
{
    simp->OverEdges( enum_edges, (void *)this );    
}


// enumerating vertices
static void   enum_vertices( Edge  *edge, void * extra) 
{
    TerrainGraph  * tg = (TerrainGraph *)extra;

    tg->enumerate_vertex( &( edge->Org() ) );
    tg->enumerate_vertex( &( edge->Dest() ) );
}

void  TerrainGraph::enumerate_vertex( point2d  * pnt )
{
    enum_vertices.getID( (void *)pnt );
}

void  TerrainGraph::enuemrate_vertices()
{
    simp->OverEdges( enum_vertices, (void *)this );    
}

