/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*
 * distance.h -
 *     
\*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/

#ifndef  __DISTANCE__H
#define  __DISTANCE__H

#define  DISTANCE_REG       0
#define  DISTANCE_INV_COS   1

class  PseudoVertex;

class  DistanceFunction 
{
private:
    int  mode;

public:
    void  init( int  modex ) { mode = modex; }
    double   computeDistance( PseudoVertex  * v, 
                              PseudoVertex  * u );
};

#else   /* __DISTANCE__H */
#error  Header file distance.h included twice
#endif  /* __DISTANCE__H */

/* distance.h - End of File ------------------------------------------*/

