/*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*
 * proj_points.h -
 *     Container for projected points.
\*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/

#ifndef  __PROJ_POINTS__H
#define  __PROJ_POINTS__H

class  ProjPoints
{
private:
    void  do_projection( ArrPoint3d  & _arr );

public:
    Point3d  x_vec_n, y_vec_n, z_vec;    
    ArrPoint2d  arr;

    ~ProjPoints() {
        arr.term();
    }
    void  init( ArrPoint3d  & _arr, Point3d  & dir );
    void  grid_clean( int  num,
                      ArrPoint2dPtr  &  out_arr );

    
};

#else   /* __PROJ_POINTS__H */
#error  Header file proj_points.h included twice
#endif  /* __PROJ_POINTS__H */

/* proj_points.h - End of File ------------------------------------------*/
